Community
Arnold for Cinema 4D Forum
Rendering with Arnold in CINEMA 4D using the C4DtoA plug-in.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Arnold crashes in C4D 2023 linux

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
jesseKW637
348 Views, 4 Replies

Arnold crashes in C4D 2023 linux

We consistently get this crash with Arnold on C4D 2023.1 using CommingLine rendering on linux (Debian 9). Any suggestions? We've tried with the latest (4.6.2.0) as well.

 

Any suggestions?

 

browser.xso64 with module net.maxon.c4d.browser
c4d_emulation.xso64 with module net.maxon.c4d.c4d_emulation
c4d_viewport_render.xso64 with module net.maxon.c4d.c4d_viewport_render
*** Error in `Commandline': free(): invalid pointer: 0x00007f8bd2ffe030 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x70bfb)[0x7f8c20bbebfb]
/lib/x86_64-linux-gnu/libc.so.6(+0x76fc6)[0x7f8c20bc4fc6]
/lib/x86_64-linux-gnu/libc.so.6(+0x7780e)[0x7f8c20bc580e]
/opt/solidangle/arnold-cinema4d/4/arnold-cinema4d-cinema4d2023-4.5.1-2./plugins/C4DtoA/arnold/bin/libAdskLicensingSDK.so.7(+0x1499d2)[0x7f8bd3d1f9d2]
/opt/solidangle/arnold-cinema4d/4/arnold-cinema4d-cinema4d2023-4.5.1-2./plugins/C4DtoA/arnold/bin/libAdskLicensingSDK.so.7(+0x1a57ec)[0x7f8bd3d7b7ec]
/opt/solidangle/arnold-cinema4d/4/arnold-cinema4d-cinema4d2023-4.5.1-2./plugins/C4DtoA/arnold/bin/libAdskLicensingSDK.so.7(+0x1c0df8)[0x7f8bd3d96df8]
/opt/solidangle/arnold-cinema4d/4/arnold-cinema4d-cinema4d2023-4.5.1-2./plugins/C4DtoA/arnold/bin/libAdskLicensingSDK.so.7(+0x17233e)[0x7f8bd3d4833e]
/opt/solidangle/arnold-cinema4d/4/arnold-cinema4d-cinema4d2023-4.5.1-2./plugins/C4DtoA/arnold/bin/libAdskLicensingSDK.so.7(+0x1ce14f)[0x7f8bd3da414f]
/lib64/ld-linux-x86-64.so.2(+0xf79a)[0x7f8c24d2579a]
/lib64/ld-linux-x86-64.so.2(+0xf8ab)[0x7f8c24d258ab]
/lib64/ld-linux-x86-64.so.2(+0x13e58)[0x7f8c24d29e58]
/lib64/ld-linux-x86-64.so.2(+0xf644)[0x7f8c24d25644]
/lib64/ld-linux-x86-64.so.2(+0x13609)[0x7f8c24d29609]
/lib/x86_64-linux-gnu/libdl.so.2(+0xee9)[0x7f8c24500ee9]
/lib64/ld-linux-x86-64.so.2(+0xf644)[0x7f8c24d25644]
/lib/x86_64-linux-gnu/libdl.so.2(+0x1531)[0x7f8c24501531]
/lib/x86_64-linux-gnu/libdl.so.2(dlopen+0x32)[0x7f8c24500f82]
Commandline[0x91dc41]
Commandline[0x56a554]
Commandline[0x56c295]
Commandline[0x573e5b]
Commandline[0x934c92]
Commandline[0x9416dd]
Commandline[0x9468ff]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x74a4)[0x7f8c242ea4a4]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x3f)[0x7f8c20c36d0f]

  

4 REPLIES 4
Message 2 of 5
Stephen.Blair
in reply to: jesseKW637

Is 4.5.1.2 the first vefsion you tried on Linux? Just wondering if any older versions did not crash.

Does kick crash too?

kick -v 5 -i /dev/null

 Crash seems to be licensing related, and kick will check out a license too. 



// Stephen Blair
// Arnold Renderer Support
Message 3 of 5
peter_horvath
in reply to: jesseKW637

Do you preload the Arnold library before running Commandline as noted in the docs

export LD_PRELOAD=/path/to/c4d_2023/bin/plugins/C4DtoA/arnold/bin/libai.so

Not sure it helps if the crash is really licensing related, but worth a try. 


// Peter Horvath
// C4DtoA developer
Message 4 of 5
jesseKW637
in reply to: peter_horvath

Thanks. That worked. Is it a new requirement? We never had to do that in past... it's also a very odd requirement.

Message 5 of 5
peter_horvath
in reply to: jesseKW637


@jesseKW637 wrote:

Thanks. That worked. Is it a new requirement? We never had to do that in past... it's also a very odd requirement.


It's needed because of a conflict with the memory allocator used by Arnold. It was required in older versions, then I think it was fine since R24 (if I remember correctly), but now it's required again since Cinema 4D 2023.


// Peter Horvath
// C4DtoA developer

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report